Show / Hide Table of Contents

# Interface ICallGateProvider<T1, T2, T3, T4, TRet>

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateProvider<T1, T2, T3, T4, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
T2 |
T3 |
T4 |
TRet |

### Methods

| Improve this Doc View Source

#### RegisterAction(Action<T1, T2, T3, T4>)

##### Declaration

    void RegisterAction(Action<T1, T2, T3, T4> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2, T3, T4> | action |

| Improve this Doc View Source

#### RegisterFunc(Func<T1, T2, T3, T4, TRet>)

##### Declaration

    void RegisterFunc(Func<T1, T2, T3, T4, TRet> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<T1, T2, T3, T4, TRet> | func |

| Improve this Doc View Source

#### SendMessage(T1, T2, T3, T4)

##### Declaration

    void SendMessage(T1 arg1, T2 arg2, T3 arg3, T4 arg4)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |
T3 | arg3 |
T4 | arg4 |

| Improve this Doc View Source

#### UnregisterAction()

##### Declaration

    void UnregisterAction()

| Improve this Doc View Source

#### UnregisterFunc()

##### Declaration

    void UnregisterFunc()